Bug 1874448 - [BM, OSP, VSphere] Kubelet config has diverged on compute nodes
Summary: [BM, OSP, VSphere] Kubelet config has diverged on compute nodes
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 11:43 UTC by Martin André
Modified: 2020-09-10 11:47 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2045 None open Bug 1874448: [BM, OpenStack, vSphere]: Sync compute kubelet 2020-09-08 11:06:45 UTC

Description Martin André 2020-09-01 11:43:56 UTC
Description of problem: The patch at https://github.com/openshift/machine-config-operator/pull/1817 addressed the drift of kubelet configuration for control plane nodes but didn't update compute nodes' kubelet to catch up changes made to the main kubelet unit.

We're currently missing a number of fixes for the worker nodes on Baremetal, OpenStack and vSphere platforms:
- https://bugzilla.redhat.com/show_bug.cgi?id=1823967
- https://bugzilla.redhat.com/show_bug.cgi?id=1806027
- https://bugzilla.redhat.com/show_bug.cgi?id=1828622

Comment 3 David Sanz 2020-09-10 11:47:56 UTC
Verified on 4.6.0-0.nightly-2020-09-10-100526:


Note You need to log in before you can comment on or make changes to this bug.